ServerEvents.recipes(event => {

    //REMPLACEMENT

    event.replaceInput(
        { input: 'minecraft:wooden_shovel' },
        'minecraft:wooden_shovel',
        '#minecraft:shovels' 
      )
    event.replaceInput(
        { input: 'minecraft:wooden_axe' },
        'minecraft:wooden_axe',
        '#minecraft:axes' 
      )
    event.replaceInput(
        { input: 'minecraft:wooden_sword' },
        'minecraft:wooden_sword',
        '#minecraft:swords' 
      )
    event.replaceInput(
        { input: 'minecraft:wooden_pickaxe' },
        'minecraft:wooden_pickaxe',
        '#minecraft:pickaxes'
      )
    event.replaceInput(
        { input: 'minecraft:wooden_hoe' },
        'minecraft:wooden_hoe',
        '#minecraft:hoes' 
      )

      // CRAFTS SHAPED
    
    event.shaped(
        Item.of('eidolon:silver_chestplate',),
        [ 
          'A A', 
          'ABA', 
          'AAA'  
        ],
        {
          A: 'eidolon:silver_ingot',
          B: 'eidolon:silver_nugget'
        })
    event.shaped(
        Item.of('eidolon:silver_leggings',),
        [ 
          'ABA', 
          'A A', 
          'A A'  
        ],
        {
          A: 'eidolon:silver_ingot',
          B: 'eidolon:silver_nugget'
        })
    event.shaped(
        Item.of('eidolon:silver_helmet',),
        [ 
          'ABA', 
          'A A', 
          '   '  
        ],
        {
          A: 'eidolon:silver_ingot',
          B: 'eidolon:silver_nugget'
        })
    event.shaped(
        Item.of('eidolon:silver_boots',),
        [ 
          'B B', 
          'A A', 
          '   '  
        ],
        {
          A: 'eidolon:silver_ingot',
          B: 'eidolon:silver_nugget'
        })
    event.shaped(
        Item.of('eidolon:silver_sword',),
        [ 
          ' B ', 
          ' A ', 
          ' C '  
        ],
        {
          A: 'eidolon:silver_ingot',
          B: 'eidolon:silver_nugget',
          C: 'minecraft:stick'
        })
    event.shaped(
        Item.of('eidolon:silver_pickaxe',),
        [ 
          'ABA', 
          ' C ', 
          ' C '  
        ],
        {
          A: 'eidolon:silver_ingot',
          B: 'eidolon:silver_nugget',
          C: 'minecraft:stick'
        })
    event.shaped(
        Item.of('eidolon:silver_axe',),
        [ 
          ' AB', 
          ' CA', 
          ' C '  
        ],
        {
          A: 'eidolon:silver_ingot',
          B: 'eidolon:silver_nugget',
          C: 'minecraft:stick'
        })
    event.shaped(
        Item.of('eidolon:silver_shovel',),
        [ 
          ' B ', 
          ' C ', 
          ' C '  
        ],
        {
          B: 'eidolon:silver_nugget',
          C: 'minecraft:stick'
        })
    event.shaped(
        Item.of('eidolon:silver_hoe',),
        [ 
          ' AB', 
          ' C ', 
          ' C '  
        ],
        {
          A: 'eidolon:silver_ingot',
          B: 'eidolon:silver_nugget',
          C: 'minecraft:stick'
        })
    event.shaped(
        Item.of('weaponmaster:weaponkit',),
        [ 
          'FEF', 
          'EDE',
          'AEA'  
        ],
        {
          A: 'minecraft:stick',
          D: 'atlas:core',
          E: 'minecraft:iron_ingot',
          F: '#forge:leather',   
        })
    event.shaped(
        Item.of('4x framedblocks:framed_fence',),
        [ 
          '   ', 
          'ABA',
          'ABA'  
        ],
        { 
          A: 'framedblocks:framed_cube',
          B: 'minecraft:stick',   
        })
    event.shaped(
        Item.of('4x framedblocks:framed_pillar',),
        [ 
          '   ', 
          ' A ',
          ' A '  
        ],
        { 
          A: 'framedblocks:framed_cube',   
        })
    event.shaped(
        Item.of('4x framedblocks:framed_cube',),
        [ 
          'BBB', 
          'B B',
          'BBB'  
        ],
        { 
          B: 'minecraft:stick',   
        })
    event.shaped(
        Item.of('4x alexscaves:rusty_scrap_metal',), 
        [ 
          ' A ', 
          'ABA',
          ' A '  
        ],
        {
          A: 'minecraft:copper_ingot',
          B: 'minecraft:iron_ingot'
        })
    event.shaped(
        Item.of('4x alexscaves:rusty_rebar',), 
        [ 
          ' A ', 
          ' A ',
          '   '  
        ],
        {
          A: 'alexscaves:rusty_scrap_metal'
        })
    event.shaped(
        Item.of('16x alexscaves:rusty_scaffolding',), 
        [ 
          'AAA', 
          'B B',
          'B B'  
        ],
        {
          A: 'alexscaves:rusty_scrap_metal',
          B: 'alexscaves:rusty_rebar'
        })
    event.shaped(
        Item.of('alexscaves:rusty_barrel',), 
        [ 
          ' A ', 
          ' B ',
          '   '  
        ],
        {
          A: 'alexscaves:rusty_scrap_metal',
          B: 'minecraft:barrel'
        })
    event.shaped('2x supplementaries:blackboard', 
        [
          'AB ', 
          'ABC',
          'AB ' 
        ], 
        {
          A: '#minecraft:wooden_slabs',
          B: 'minecraft:deepslate',
          C: '#supplementaries:blackboard_white'  
        })
    event.shaped('1x atlas:prisonkey', [
         'AA ', 
         'AA ',
         '  A'  
        ], 
        {
          A: 'atlas:feraille_fondu',   
        })
    event.shaped('1x minecraft:iron_helmet', [
         'ABA', 
         'A A',
         '   '  
        ], 
        {
          A: 'minecraft:iron_ingot',
          B: 'moltenmetal:iron_plate'  
        })
    event.shaped('1x minecraft:iron_chestplate', [
         'B B', 
         'ABA',
         'AAA'  
        ], 
        {
         A: 'minecraft:iron_ingot',
         B: 'moltenmetal:iron_plate'  
        })
    event.shaped('1x minecraft:iron_leggings', [
         'AAA', 
         'B B',
         'A A'  
        ], 
        {
         A: 'minecraft:iron_ingot',
         B: 'moltenmetal:iron_plate'  
        })
    event.shaped('1x minecraft:iron_boots', [
         'B B', 
         'A A',
         '   '  
        ], 
        {
         A: 'minecraft:iron_ingot',
         B: 'moltenmetal:iron_plate'  
        })

       // CRAFT SIMPLE

    event.shapeless('4x minecraft:oak_planks', [
        '#minecraft:oak_logs'
        ])
    event.shapeless('4x minecraft:spruce_planks', [
        '#minecraft:spruce_logs'
        ])
    event.shapeless('4x minecraft:birch_planks', [ 
        '#minecraft:birch_logs'
        ])
    event.shapeless('4x minecraft:acacia_planks', [ 
        '#minecraft:acacia_logs'
        ])  
    event.shapeless('4x minecraft:dark_oak_planks', [ 
      '#minecraft:dark_oak_logs'
        ])
    event.shapeless('4x minecraft:mangrove_planks', [ 
        '#minecraft:mangrove_logs'
        ])
    event.shapeless('4x minecraft:cherry_planks', [ 
        '#minecraft:cherry_logs'
        ])
    event.shapeless('4x minecraft:jungle_planks', [ 
        '#minecraft:jungle_logs'
        ])

        //CAMPFIRE

    event.campfireCooking('atlas:feraille_fondu', 'atlas:scrap_metal')
})